package com.baidu.netdisk.label.interf

interface ILabelInfo<T> {

    /**
     * 标签内容
     *
     * @param obj
     * @return
     */
    abstract fun getLabelName(obj : T) : String

    /**
     * 标签字体颜色
     *
     * @param object
     * @return
     */
    abstract fun getTextColor(obj : T): Int

    /**
     * 标签背景颜色
     *
     * @param object
     * @return
     */
    abstract fun getBackgroundColor(obj: T): Int

    /**
     * 标签外框颜色
     *
     * @param object
     * @return
     */
    abstract fun getStrokeColor(obj: T): Int

}