package com.baidu.netdisk.qrunlock.server

/**
 *
 * @author dnegjie09
 * @description:
 * @date：2019-10-28 15:32
 *
 */
interface IQRUnlockServiceConstant {


    companion object {
        /**
         * 二维码解锁日志标签
         */
        const val QR_UNLOCK_TAG = "qr_unlock_tag"

        /*
         * 锁状态查询结果标签
         */
        const val QUARY_LOCK_STATUS_RESULT = "quary_lock_status_result"

        /**
         * pc端待解锁的用户ID
         */
        const val UUID = "uuid"

        /*
         * 解锁结果标签
         */
        const val REPORT_UNLOCK_RESULT = "report_unlock_result"

        /**
         * 取消扫描传1,解锁传3
         */
        const val STATUS = "status"

        /**
         * 请求成功
         */
        const val SUCCESS_CODE = 0

        /**
         * 参数错误
         */
        const val PARAMETER_ERROE_CODE = 2

        /**
         * 未登录
         */
        const val NOT_LOGGED_IN_ERROE_CODE = -6

        /**
         * 系统异常
         */
        const val SYSTEM_ERROE_CODE = 18000

        /**
         * 二维码错误或未找到
         */
        const val QR_CODE_ERROR_OR_NOT_FOUND_ERROE_CODE = 18500

        /**
         * 二维码已过期
         */
        const val QR_CODE_HAS_EXPIRED_ERROE_CODE = 18501

        /**
         * 登录账号不符合
         */
        const val ACCPUNT_DOES_NOT_MATCH_ERROE_CODE = 18502


    }

}