package com.baidu.netdisk.task.taskscore

import android.app.Activity
import com.baidu.netdisk.operation.taskscore.io.TaskScore
import com.baidu.netdisk.ui.cloudp2p.search.FriendGroupLabelSearchUtil

/**
 * 搜索个性标签任务
 */
class TaskScoreSearchLable : TaskScoreHandler() {

    companion object {
        const val TASK_SCORE_SEARCH_LABEL = "20"
    }

    override fun doTask(activity: Activity?, taskScore: TaskScore?) {
        activity?.apply {
            FriendGroupLabelSearchUtil().openPage(this, FriendGroupLabelSearchUtil.FROM_TASK_SOCRE_CARD)
        }
    }

    override fun getTaskType(): String {
        return TASK_SCORE_SEARCH_LABEL
    }

}