package com.baidu.netdisk.task.taskscore

import android.app.Activity
import com.baidu.netdisk.operation.taskscore.io.TaskScore
import com.baidu.netdisk.ui.PersonalInfoActivity
import com.baidu.netdisk.ui.PersonalInfoActivity.FROM_TASK_LIST

/**
 * 设置昵称的任务
 *
 * @author : linwentao
 * @since : On 2019-12-03
 */
class TaskScoreSetNickName : TaskScoreHandler() {

    companion object {
        // 设置昵称 - 个人信息页
        const val TASK_TYPE_SET_NICKNAME = "19"
    }

    override fun getTaskType(): String {
        return TASK_TYPE_SET_NICKNAME
    }

    override fun doTask(activity: Activity, taskScore: TaskScore?) {
        PersonalInfoActivity.startActivityFromTask(activity, FROM_TASK_LIST)
    }
}