package com.baidu.netdisk.task.taskscore

import android.app.Activity
import com.baidu.netdisk.base.network.ServerURL.PAN_DOMAIN
import com.baidu.netdisk.base.network.ServerURL.PRO_STR_HTTPS
import com.baidu.netdisk.operation.taskscore.io.TaskScore
import com.baidu.netdisk.ui.cloudp2p.RichMediaActivity

/**
 * 商城试听试看积分任务
 *
 * @author wangyang34
 * @since 2019年8月5日
 */
class TaskScoreTradeMedia : TaskScoreHandler() {

    companion object {

        /** 商城试听试看积分任务类型 */
        const val TASK_TYPE_MESSAGE = "9"
    }

    override fun getTaskType(): String {
        return TASK_TYPE_MESSAGE
    }

    override fun doTask(activity: Activity?, taskScore: TaskScore?) {
        // 跳转商城特权页
        val url = "$PRO_STR_HTTPS$PAN_DOMAIN/mall/wap/home/member"
        activity?.startActivity(RichMediaActivity.getStartIntent(activity, url))
    }
}