package com.baidu.netdisk.ui.gc.broadcast

import android.content.Context
import com.baidu.netdisk.account.broadcast.AbstractAccountChangeBroadcastReceiver
import com.baidu.netdisk.gc.GarbageFileHelper
import com.baidu.netdisk.gc.service.Extras.TYPE_DUP
import com.baidu.netdisk.gc.service.Extras.TYPE_EMPTY
import com.baidu.netdisk.util.NotificationUtil

class AccountChangeListener: AbstractAccountChangeBroadcastReceiver() {
    override fun onLogin(context: Context?) {
    }

    override fun onLogout(context: Context?) {
        GarbageFileHelper.clearTask(TYPE_DUP)
        GarbageFileHelper.clearTask(TYPE_EMPTY)
        context?.apply {
            NotificationUtil.clearGarbageDupFileNotification(this)
            NotificationUtil.clearGarbageEmptyFolderNotification(this)
        }
    }
}