package com.baidu.netdisk.ui.trade

import com.baidu.netdisk.BaseActivity

interface ITradImageView {

    fun getActivity():BaseActivity

    // 更新下载进度
    fun updateProgress(pos:Int,progress:Int)
    // 滑动图片
    fun moveImage(lastPos: Int, destPos: Int)
    // 设置presenter
    fun setPresenter(tradeImagePresenter: TradeImagePresenter)
    // 展示购买引导
    fun showIntroduceToBuy()
    // 数据加载结束
    fun loadDataFinish(isExistData: Boolean, urls: ArrayList<String?>)
    // 更新图片地址
    fun updateUrl(pos: Int, localPath: String?)
    // 下载失败
    fun onDownloadError()

}