package com.baidu.netdisk.ui.trade

import android.arch.lifecycle.LifecycleOwner

interface ITradeImagePresenter {
    // 初始化数据
    fun initData(lifecycleOwner: LifecycleOwner, pid: String)
    // 购买商品
    fun buy()
    // 获取图片大小
    fun getSize(position: Int): Long
    // 查看原图
    fun checkOriginImage(currentPosition: Int)
}