package com.baidu.netdisk.ui.trade

import com.google.gson.annotations.SerializedName

/**
 * 商品缩略图相关信息
 *
 * author guochao02
 * email guochao02@baidu.com
 * created 2019/12/24 18:48
 */
class ImageData {

    @SerializedName("thumbnail_list")
    var thumbnailList = ArrayList<ThumbnailInfo>()

    @SerializedName("is_owner")
    var isOwner = false

    @SerializedName("type")
    var type = 0

    /**
     * 缩略图先关信息
     */
    class ThumbnailInfo {

        @SerializedName("url")
        var url: String? = null

        @SerializedName("is_trial")
        var isTrial = false // 是否为试看

        @SerializedName("size")
        var size: Long? = null

        @SerializedName("skuid")
        var skuid: String? = null

        @SerializedName("name")
        var name: String? = null

        @SerializedName("format")
        var format: String? = null
    }
}