package com.baidu.netdisk.ui.webview

import android.app.Activity
import android.graphics.Bitmap
import android.view.View
import android.webkit.WebView
import com.baidu.netdisk.ui.webview.hybrid.action.IActionManager

class UniversalHybridWebClient(activity: Activity, webViewTitleChangeCallBack: ITitleChangeCallBack?,actionManager: IActionManager?)
    : DisabledOverrideWebClient(activity, webViewTitleChangeCallBack, actionManager) {

    override fun onPageStarted(view: WebView?, url: String?, favicon: Bitmap?) {
        super.onPageStarted(view, url, favicon)
        val fragment = (view as NetDiskWebView).webViewFragment
        fragment?.progressBar?.visibility = View.GONE
        fragment?.textLoading?.visibility = View.GONE
    }
}
