package com.baidu.netdisk.ui.xpan.extension

import android.app.Activity
import android.os.Build

inline fun Activity.doSafeLifeCallback(crossinline block: ((activity: Activity) -> Any?)) {
    takeUnless {
        it.isFinishing || (Build.VERSION.SDK_INT >= Build.VERSION_CODES.JELLY_BEAN_MR1 && it.isDestroyed)
    }?.apply {
        block.invoke(this)
    }
}