package com.baidu.netdisk.ui.xpan.transmission.adapter

import android.support.v4.app.Fragment
import android.support.v4.app.FragmentManager
import android.support.v4.app.FragmentStatePagerAdapter

class TransFragmentAdapter(fm: FragmentManager, val titles: MutableList<String>, val fragments: MutableList<Fragment>) :
        FragmentStatePagerAdapter(fm) {

    override fun getItem(position: Int): Fragment {
        return fragments[position]
    }

    override fun getCount(): Int = fragments.size

    override fun getPageTitle(position: Int): CharSequence? {
        return titles[position]
    }
}