package com.baidu.netdisk.uiframe.cardimpl

import android.view.View

import com.baidu.netdisk.R
import com.baidu.netdisk.uiframe.card.BaseCardCreator
import com.baidu.netdisk.uiframe.container.CommonPageBuilder.KEY_PAGE_NAME

/**
 * 好友信息卡片
 *
 * @author wangyang34
 * @since 2019/11/6
 */
class FriendInfoCreator : BaseCardCreator() {

    /** 声明数据绑定对象 **/
    private var searchCardHelper: SearchCardHelper = SearchCardHelper()

    override fun layout(): Int {
        return R.layout.friend_search_info_item_layout
    }

    override fun onCreateView(convertView: View) {
        searchCardHelper.onCreateFriendView(convertView)
    }

    override fun onBindView(cardInfo: Any, position: Int) {
        var pageName = ""
        if (getRunningData(KEY_PAGE_NAME) is String) {
            pageName = getRunningData(KEY_PAGE_NAME) as String
        }
        searchCardHelper.onBindFriendView(container.activity, cardInfo, pageName)
    }
}
