package com.baidu.netdisk.uiframe.cardimpl

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.android.parcel.Parcelize

/**
 * author : linwentao
 * date : On 2019-11-06
 *
 * 搜索群json序列化
 */
@Parcelize
class GroupSearchInfo (

        /** 群组标识 **/
        @SerializedName("gid")
        var gid: Long,

        /** 名称 **/
        @SerializedName("name")
        var name: String,

        /** 群简介 **/
        @SerializedName("gdesc")
        var gdesc: String,

        /** 标签 **/
        @SerializedName("tags")
        var tags: Array<String>,

        /** 群头像 **/
        @SerializedName("photoinfo")
        var photoAvatar: Array<String>,

        /** 是否在群中 **/
        @SerializedName("inside")
        var inside: Int,

        /** 群签名标识 **/
        @SerializedName("sign")
        var sign: String,

        /** 群邀请者UK **/
        @SerializedName("invite_uk")
        var inviteUk: Long,

        /** 群邀请时间 **/
        @SerializedName("invite_time")
        var inviteTime: Long

) : Parcelable