package com.baidu.netdisk.wap.launch

import android.app.Activity
import android.content.Intent
import android.net.Uri
import com.baidu.netdisk.statistics.NetdiskStatisticsLogForMutilFields
import com.baidu.netdisk.ui.cloudp2p.GroupInfoActivity

/**
 * 加群的scheme
 *
 * @author wangyang34
 * @since 2019年9月9日
 */
class AddGroupLauncher : BaseParsable() {

    /** 来源 */
    private var mFrom: Int = IWapParsable.FROM_DEFAULT

    override fun setFrom(from: Int) {
        mFrom = from
    }

    override fun parseWapUri(activity: Activity, uri: Uri): Intent? {
        if (mFrom == IWapParsable.FROM_WAP) {
            NetdiskStatisticsLogForMutilFields.getInstance().updateCount(NetdiskStatisticsLogForMutilFields
                    .StatisticsKeys.CLOUDP2P_ADD_GROUP_FROM_WAP)
        } else if (mFrom == IWapParsable.FROM_QRCODE) {
            NetdiskStatisticsLogForMutilFields.getInstance().updateCount(NetdiskStatisticsLogForMutilFields
                    .StatisticsKeys.CLOUDP2P_SCAN_GROUP_QR_CODE)
        }
        GroupInfoActivity().openPage(activity, uri.toString())
        return null
    }
}