$(function () {
    var scrollBarHideTimerId = 0;
    ue.ready(function () {
        $('.inner-container')[0].addEventListener('scroll', function (event) {
            $('.right-scroll-bar').fadeIn();
            clearTimeout(scrollBarHideTimerId);
            var height = $(ue.body).height();
            var num = $(event.target).height() / height;
            $('.right-scroll-bar').css({
                'height': $(event.target).height() * num + 'px'
            });
            var scrollTop = $(event.target).scrollTop();
            var scrollHeight = $(event.target).height();
            var top = scrollTop * num;
            var scrollBarHeight = scrollHeight * num;
            $('.right-scroll-bar').css({
                'top': top + 'px'
            });
            scrollBarHideTimerId = setTimeout(function () {
                $('.right-scroll-bar').fadeOut();
            }, 1000);
        });
    });
    var height = window.screen.height;
    var width = window.screen.width;
    $('.outer-container').css({ height: height + 'px', width: width + 'px' });
    $('.content').css({ height: height + 'px', width: width + 'px' });
});