// 比较两个body内容是有一致，依赖于其他的操作都会设置为已变化
function compareBodyText(oldText, newText) {
    var oldDiv = document.createElement('div');
    oldDiv.innerHTML = oldText;

    $(oldDiv).find('.audio-container').each(function (i, audio) {
        $(audio).remove();
    });
    $(oldDiv).find('.link-card-layout').each(function (i, card) {
        $(card).remove();
    });
    var newDiv = document.createElement('div');
    newDiv.innerHTML = newText;
    $(newDiv).find('.audio-container').each(function (i, audio) {
        $(audio).remove();
    });
    $(newDiv).find('.link-card-layout').each(function (i, card) {
        $(card).remove();
    });

    return oldDiv.innerText === newDiv.innerText;
}