package com.baidu.netdisk.label.view

import android.content.Context
import android.util.AttributeSet
import com.baidu.netdisk.label.entity.CharacterLabel
import com.baidu.netdisk.label.view.base.BaseLabelListView

class LabelListView @JvmOverloads constructor(context: Context, attrs: AttributeSet? = null, defStyle: Int = 0) : BaseLabelListView<CharacterLabel>(context, attrs, defStyle) {

    override fun getLabelName(obj: CharacterLabel): String {
        return obj?.name?:""
    }

    override fun getTextColor(obj: CharacterLabel): Int {
        return obj?.textColor?:0
    }

    override fun getBackgroundColor(obj: CharacterLabel): Int {
        return obj.backgroudColor
    }

    override fun getStrokeColor(obj : CharacterLabel): Int {
        return obj.strokeColor
    }

}
