package com.baidu.netdisk.module.sharelink

import android.support.v7.widget.RecyclerView
import android.view.View
import android.widget.Button
import android.widget.ImageView
import android.widget.TextView
import com.baidu.netdisk.R

/**
 * 外链信息页用户信息
 *
 * author : linwentao
 * date : On 2019-10-09
 */
class ChainInfoHolder internal constructor(view: View) : RecyclerView.ViewHolder(view) {
    var mAvatarImg: ImageView = view.findViewById(R.id.user_head_img)
    var mUserName: TextView = view.findViewById(R.id.user_name)
    var mShareCreateTime: TextView = view.findViewById(R.id.share_time)
    var mShareFileCount: TextView = view.findViewById(R.id.share_file_count)
    var mShareValidPeriod: TextView = view.findViewById(R.id.valid_period)
    var mVipStatus: ImageView = view.findViewById(R.id.vip_status)
    var mUserSignature: TextView = view.findViewById(R.id.user_signature)
    var mAddFriend: Button = view.findViewById(R.id.add_friends_button)
    var mSendMessage: Button = view.findViewById(R.id.send_message_button)
    val mUserInfoView: View = view.findViewById(R.id.userInfo)
    var mValidPeriodLayout: View = view.findViewById(R.id.valid_period_view)
    var dividerLine: View = view.findViewById(R.id.divider_line)
}