package com.baidu.netdisk.p2p

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.baidu.netdisk.base.CustomIntentDispatcher
import com.baidu.netdisk.sns.util.Utility

/**
 * 视频广播
 *
 * @author wangyang34
 * @since 2019年12月17日
 */
class VideoNotificationBroadcast : BroadcastReceiver() {

    override fun onReceive(context: Context?, intent: Intent?) {
        CustomIntentDispatcher.switchNetdiskToForeground(context)
        Utility.NotificationUtility.collapseStatusBar(context)
    }
}