package com.baidu.netdisk.qrunlock.ui.presenter

import android.content.Context
import android.os.ResultReceiver
import com.baidu.netdisk.qrunlock.server.QrUnlockServiceHelper

/**
 *
 * @author dnegjie09
 * @description: 处理数据逻辑
 * @date：2019-10-28 17:17
 *
 */
class QrUnlockPresenter(val context: Context) {


    /**
     * 查询锁状态
     * @param uuid pc端用户id
     * @param recevier 结果接收器
     */
    public fun quaryUnlockStatus(uuid: String, recevier: ResultReceiver) {
        QrUnlockServiceHelper.queryLockStatus(uuid, recevier)
    }


    /**
     * 上报请求解锁
     * @param uuid pc端用户id
     * @param recevier 结果接收器
     */
    public fun reportUnlock(uuid: String, status: String, recevier: ResultReceiver) {
        QrUnlockServiceHelper.reportUnlock(uuid,status, recevier)
    }



























}
