package com.baidu.netdisk.ui.cloudp2p.search

import com.baidu.netdisk.uiframe.containerimpl.titlebar.TitleBarOption
import java.io.Serializable

/**
 * 搜索框数据
 *
 * @author xujing31
 * @since 2019/12/11
 */
class SearchBoxInfo(private var mHintText: String, private var mSearchTypeParam: Int) : Serializable {

    /**
     * 获取默认文案
     */
    fun getHintText() : String {
        return mHintText
    }

    /**
     * 获取搜索类型参数值
     */
    fun getSearchTypeParam() : Int {
        return mSearchTypeParam
    }
}