package com.baidu.netdisk.ui.cloudp2p.search

import android.view.View
import android.widget.TextView
import com.baidu.netdisk.R
import com.baidu.netdisk.uiframe.card.BaseCardCreator
import com.baidu.netdisk.uiframe.cardimpl.GroupSearchTitleInfo

/**
 * author : linwentao
 * date : On 2019-11-08
 *
 * 搜索结果的分类卡片
 */
class SearchClassifyCreator : BaseCardCreator() {

    /** 名称 **/
    lateinit var title: TextView

    override fun layout(): Int {
        return R.layout.search_classify_title_layout
    }

    override fun onCreateView(convertView: View) {
        title = convertView.findViewById(R.id.title)
    }

    override fun onBindView(cardInfo: Any, position: Int) {
        if (cardInfo is GroupSearchTitleInfo) {
            title.text = context.getString(R.string.search_classify_title, cardInfo.title)
        }
    }

}