package com.baidu.netdisk.ui.gc

import android.content.Context
import android.os.ResultReceiver
import com.baidu.netdisk.gc.IGarbageClean
import com.baidu.netdisk.gc.io.parser.model.GarbageFileItem
import com.baidu.netdisk.service.BaseOperation

class DeleteGarbageFilesTask(
        context: Context,
        private val bduss: String,
        private val uid: String,
        private val type: String,
        private val taskId: String,
        private val deleteIds: List<GarbageFileItem>,
        private val receiver: ResultReceiver?) : BaseOperation<IGarbageClean>(IGarbageClean::class.java.simpleName, context) {

    init {
        bind()
    }

    override fun perform(iGarbageClean: IGarbageClean) {
        iGarbageClean.deleteGarbageFiles(mContext, bduss, uid, type, taskId, deleteIds, receiver)
    }

}