package com.baidu.netdisk.ui.webview

import android.webkit.WebChromeClient
import android.webkit.WebView
import com.baidu.netdisk.kernel.architecture.debug.NetDiskLog

/**
 * 监听title变化的client
 */
class ObserveTitleChangeWebChromeClient(private val titleChangeCallBack: ITitleChangeCallBack) : WebChromeClient() {
    override fun onReceivedTitle(view: WebView, title: String) {
        titleChangeCallBack.onTitleChange(view.originalUrl, title)
        NetDiskLog.d(OfflineH5PackageActivity.TAG, "title change $title")
    }
}