package com.baidu.netdisk.ui.webview.hybrid.param

import com.google.gson.annotations.SerializedName

/**
 * 打开交易平台的参数
 *
 * author guochao02
 * email guochao02@baidu.com
 * created 2019/11/7 14:17
 */
class OpenTradeParam {

    // 页面
    @SerializedName("page")
    var page: String? = null

    // 商品ID
    @SerializedName("pid")
    var pid: String? = null

    // 商品类型
    @SerializedName("type")
    var type: String? = null

    // 商品销售模式
    // 商品类型：0 单品(默认值)，1 整专辑售卖，2 可单集售卖专辑
    @SerializedName("prodtype")
    var prodtype: String? = null

    // 来源（书城：bookmall；商城：contentmall）
    @SerializedName("mallReferrer")
    var mallReferrer: String? = null

    // server统计需要
    @SerializedName("porigin")
    var porigin: String? = null

    // 店铺id
    @SerializedName("sid")
    var sid: String? = null

    var pageType: Int = -1
}