package com.baidu.netdisk.uiframe.cardimpl

import android.view.View

import com.baidu.netdisk.R
import com.baidu.netdisk.uiframe.card.BaseCardCreator

/**
 * 群信息卡片
 *
 * @author wangyang34
 * @since 2019/11/6
 */
class GroupInfoCreator : BaseCardCreator() {

    /** 声明数据绑定对象 **/
    private var searchCardHelper: SearchCardHelper = SearchCardHelper()

    override fun layout(): Int {
        return R.layout.group_search_info_item_layout
    }

    override fun onCreateView(convertView: View) {
        searchCardHelper.onCreateGroupView(convertView)
    }

    override fun onBindView(cardInfo: Any, position: Int) {
        searchCardHelper.onBindGroupView(container.activity, cardInfo)
    }
}
