package com.baidu.netdisk.uiframe.containerimpl.list

import com.baidu.netdisk.kernel.architecture.net.HttpResponse
import com.baidu.netdisk.kernel.architecture.net.parser.IApiResultParseable
import com.baidu.netdisk.kotlin.extension.Tag

/**
 * 通用列表解析
 *
 * @author wangyang34
 * @since 2019/11/6
 */
@Tag("CommonListParser")
class CommonListParser : IApiResultParseable<CommonListResponse> {

    override fun parse(response: HttpResponse?): CommonListResponse? {
        return ListParserHelper().parse(response?.content)
    }
}