package com.baidu.netdisk.uiframe.containerimpl.list

import com.google.gson.annotations.SerializedName
import java.util.ArrayList

import com.baidu.netdisk.kernel.architecture.net.Response
import com.baidu.netdisk.uiframe.card.CommonCardInfo
import java.io.Serializable

/**
 * 通用列表Response
 *
 * @author wangyang34
 * @since 2019/11/6
 */
class CommonListResponse : Response(), Serializable {

    companion object {

        /** 需要验证 **/
        const val NEED_VERIFY_CODE = -19
    }


    /**
     * 卡片列表
     */
    @SerializedName("list")
    var mCardList: ArrayList<CommonCardInfo>? = null

    /**
     * 还有更多
     */
    @SerializedName("hasmore")
    var mHasMore: Boolean = false

    /**
     * 验证码有误时返回2157
     */
    @SerializedName("errno_captcha")
    var mErrNoCaptcha: Int = 0
}